#!/bin/bash
#-----------
DATA=Differential
MyLAB='JAEA'
MyNUC='fe56 na23 pu239 u235 u238'
MyNUC1='fe56 na23'
#-------------------
mkdir plots
mkdir plots/${DATA}_absolute
#=========================================
\rm -rf plots/${DATA}_absolute/*
#
for LAB in ${MyLAB}
do
for NUC in ${MyNUC}
do
#
cat >plots/input <<EOF
set terminal png truecolor font "/usr/share/fonts/truetype/liberation/LiberationSans-Regular.ttf" 11
set output 'plots/output.png'
set style fill solid 0.25
set autoscale
set logscale x
set nologscale y
set xrange[100:2E+07]
set xlabel "Energy [eV]"
set ylabel "Nuclear Data [barns/no-dim]"
set label "${LAB} ${NUC}" at graph 0.04,0.95
set key center top
#
plot\
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$7; c[i]=\$8}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt" u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$7; c[i]=\$8}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt"  u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
'tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt' u 2:7 title 'MF3/MT2 (prior)' with steps lt 1 lc 1 lw 4, \
'tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt'  u 2:7 title 'MF3/MT2 (post)'  with steps lt 1 lc 2 lw 4
! mv plots/output.png plots/${DATA}_absolute/${LAB}_${NUC}_MF3MT2.png
set output 'plots/output.png'
plot\
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$9; c[i]=\$10}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt" u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$9; c[i]=\$10}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt"  u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
'tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt' u 2:9 title 'MF3/MT4 (prior)' with steps lt 1 lc 1 lw 4, \
'tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt'  u 2:9 title 'MF3/MT4 (post)'  with steps lt 1 lc 2 lw 4
! mv plots/output.png plots/${DATA}_absolute/${LAB}_${NUC}_MF3MT4.png
set output 'plots/output.png'
plot\
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$11; c[i]=\$12}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt" u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$11; c[i]=\$12}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt"  u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
'tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt' u 2:11 title 'MF3/MT101 (prior)' with steps lt 1 lc 1 lw 4, \
'tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt'  u 2:11 title 'MF3/MT101 (post)'  with steps lt 1 lc 2 lw 4
! mv plots/output.png plots/${DATA}_absolute/${LAB}_${NUC}_MF3MT101.png
set output 'plots/output.png'
plot\
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$13; c[i]=\$14}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt" u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$13; c[i]=\$14}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt"  u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
'tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt' u 2:13 title 'MF3/MT251 (prior)' with steps lt 1 lc 1 lw 4, \
'tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt'  u 2:13 title 'MF3/MT251 (post)'  with steps lt 1 lc 2 lw 4
! mv plots/output.png plots/${DATA}_absolute/${LAB}_${NUC}_MF3MT251.png
set output 'plots/output.png'
plot\
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$15; c[i]=\$16}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt" u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$15; c[i]=\$16}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt"  u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
'tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt' u 2:15 title 'MF3/MT18 (prior)' with steps lt 1 lc 1 lw 4, \
'tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt'  u 2:15 title 'MF3/MT18 (post)'  with steps lt 1 lc 2 lw 4
! mv plots/output.png plots/${DATA}_absolute/${LAB}_${NUC}_MF3MT18.png
set output 'plots/output.png'
plot\
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$17; c[i]=\$18}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt" u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$17; c[i]=\$18}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt"  u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
'tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt' u 2:17 title 'MF1/MT452 (prior)' with steps lt 1 lc 1 lw 4, \
'tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt'  u 2:17 title 'MF1/MT452 (post)'  with steps lt 1 lc 2 lw 4
! mv plots/output.png plots/${DATA}_absolute/${LAB}_${NUC}_MF1MT452.png
set output 'plots/output.png'
plot\
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$19; c[i]=\$20}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt" u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$19; c[i]=\$20}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt"  u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
'tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt' u 2:19 title 'MF5/MT18 (prior)' with steps lt 1 lc 1 lw 4, \
'tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt'  u 2:19 title 'MF5/MT18 (post)'  with steps lt 1 lc 2 lw 4
! mv plots/output.png plots/${DATA}_absolute/${LAB}_${NUC}_MF5MT18.png
set output 'plots/output.png'
plot\
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$21; c[i]=\$22}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt" u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
"<awk 'BEGIN {a[0]=0}; {i++; a[i]=\$2; b[i]=\$21; c[i]=\$22}; END {for (j=1;j<i+1;j++){print a[j],b[j],c[j]; print a[j+1],b[j],c[j]}}' tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt"  u 1:(\$2-\$2*\$3):(\$2+\$2*\$3) notitle with filledcurves, \
'tmpfiles/${LAB}/nuclear_data_prior_${NUC}.txt' u 2:21 title 'MF1/MT455 (prior)' with steps lt 1 lc 1 lw 4, \
'tmpfiles/${LAB}/nuclear_data_post_${NUC}.txt'  u 2:21 title 'MF1/MT455 (post)'  with steps lt 1 lc 2 lw 4
! mv plots/output.png plots/${DATA}_absolute/${LAB}_${NUC}_MF1MT455.png
EOF
#
gnuplot plots/input
#
done
done
#
for LAB in ${MyLAB}
do
for NUC in ${MyNUC1}
do
\rm plots/${DATA}_absolute/${LAB}_${NUC}_MF3MT18.png
\rm plots/${DATA}_absolute/${LAB}_${NUC}_MF1MT452.png
\rm plots/${DATA}_absolute/${LAB}_${NUC}_MF5MT18.png
\rm plots/${DATA}_absolute/${LAB}_${NUC}_MF1MT455.png
done
done

#
exit
